Bug 170286 - s-c-p didnt start with non-english locales
s-c-p didnt start with non-english locales
Status: CLOSED DUPLICATE of bug 165954
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-printer (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On: 143035
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-10 11:26 EDT by Tim Waugh
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-10 12:57:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2005-10-10 11:26:18 EDT
+++ This bug was initially created as a clone of Bug #143035 +++

Description of problem:
System-config-printer (nor tui nor gui version) didn't start with
non-us locale (ru_RU.UTF-8 in my case). It's throw python exceptions
information finished with
----
  File "/usr/share/printconf/util/cups_import.py", line 200, in
import_needed
    which = which_spooler ()
  File "/usr/share/printconf/util/cups_import.py", line 195, in
which_spooler
    return which
UnboundLocalError: local variable 'which' referenced before assignment
----
Steps to Reproduce:
1. set locale as mine:

LANG=en_US.UTF-8
LC_CTYPE="ru_RU.UTF-8"
LC_NUMERIC="ru_RU.UTF-8"
LC_TIME="ru_RU.UTF-8"
LC_COLLATE="ru_RU.UTF-8"
LC_MONETARY="ru_RU.UTF-8"
LC_MESSAGES="ru_RU.UTF-8"
LC_PAPER="ru_RU.UTF-8"
LC_NAME="ru_RU.UTF-8"
LC_ADDRESS="ru_RU.UTF-8"
LC_TELEPHONE="ru_RU.UTF-8"
LC_MEASUREMENT="ru_RU.UTF-8"
LC_IDENTIFICATION="ru_RU.UTF-8"
LC_ALL=ru_RU.UTF-8

2. run system-config-printer on clean install
3. have a fun :)

-- Additional comment from bobuk@justos.org on 2004-12-15 16:35 EST --
Created an attachment (id=108654)
simple patch to fix this problems

I simply add LC_ALL=C to all os.system calls.


-- Additional comment from twaugh@redhat.com on 2004-12-15 19:05 EST --
Please confirm the version you are using.

The LANG variable overrides all LC_xxx variables, and so as far as I
can see your patch has no effect.

'test3' is for a test release of Fedora Core.  Do you mean to report a
bug against Fedora Core 3?  If so please correct the "version" field.


-- Additional comment from bobuk@justos.org on 2004-12-16 04:45 EST --
yes, LANG variable override all LC_xxx variables except of LC_ALL.
But if LC_ALL set to some value (like in my case) then redefinition of
LANG do nothing. You can look at glibc sources for check this.
For example:
> LC_ALL=C LANG=C cal
    December 2004
Su Mo Tu We Th Fr Sa 
          1  2  3  4
 5  6  7  8  9 10 11
12 13 14 15 16 17 18
19 20 21 22 23 24 25
26 27 28 29 30 31

> LC_ALL=ru_RU.UTF-8 LANG=C cal
    Декабря 2004
Вс Пн Вт Ср Чт Пт Сб 
          1  2  3  4
 5  6  7  8  9 10 11
12 13 14 15 16 17 18
19 20 21 22 23 24 25
26 27 28 29 30 31


-- Additional comment from twaugh@redhat.com on 2004-12-20 10:12 EST --
Ah, thanks.  I'd got it the wrong way round.  LC_ALL overrides LANG as you say.
Fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.